/*
 * Copyright 2022-2023 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

#define PCR_IBE_ibe1 0x01u /*!<@brief Input Buffer Enable: Enables */
#define PCR_ODE_ode1 0x01u /*!<@brief Open Drain Enable: Enables */
#define PCR_SRE_sre0 0x00u /*!<@brief Slew Rate Enable: Fast */

#define PCR_PE_pe1 0x01u   /*!<@brief Pull Enable: Enables */
#define PCR_PS_ps1 0x01u   /*!<@brief Pull Select: Enables internal pullup resistor */
#define PCR_SRE_sre1 0x01u /*!<@brief Slew Rate Enable: Slow */
#define PCR_DSE_dse0 0x00u /*!<@brief Drive Strength Enable: Low */
#define PCR_INV_inv0 0x00u /*!<@brief Invert Input: Does not invert */
#define PCR_ODE_ode0 0x00u /*!<@brief Open Drain Enable: Disables */
#define PCR_PE_pe0 0x00u   /*!<@brief Pull Enable: Disables */
#define PCR_PFE_pfe0 0x00u /*!<@brief Passive Filter Enable: Disables */
#define PCR_PFE_pfe1 0x01u /*!<@brief Passive Filter Enable: Enables */
#define PCR_PS_ps0 0x00u   /*!<@brief Pull Select: Enables internal pulldown resistor */
#define PCR_PV_pv0 0x00u   /*!<@brief Pull Value: Low */

/*! @name PIO0_6 (coord C14), CLKOUT
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_CLKOUT_GPIO GPIO0 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_CLKOUT_GPIO_PIN 6U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_CLKOUT_GPIO_PIN_MASK (1U << 6U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO0_10 (coord B12), EZH_CAM_VSYNC
  @{ */
/* @} */

/*! @name PIO0_11 (coord B11), EZH_CAM_HSYNC
  @{ */
/* @} */

/*! @name PIO0_14 (coord E11), EZH_CAM_PLCK
  @{ */
/* @} */

/*! @name PIO1_4 (coord A4), EZH_CAM_D0
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_D0_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_D0_GPIO_PIN 4U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_D0_GPIO_PIN_MASK (1U << 4U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO1_5 (coord B3), EZH_CAM_D1
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_D1_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_D1_GPIO_PIN 5U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_D1_GPIO_PIN_MASK (1U << 5U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO1_6 (coord B2), EZH_CAM_D2
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_D2_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_D2_GPIO_PIN 6U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_D2_GPIO_PIN_MASK (1U << 6U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO1_7 (coord A2), EZH_CAM_D3
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_D3_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_D3_GPIO_PIN 7U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_D3_GPIO_PIN_MASK (1U << 7U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO1_8 (coord A1), EZH_CAM_D4
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_D4_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_D4_GPIO_PIN 8U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_D4_GPIO_PIN_MASK (1U << 8U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO1_9 (coord B1), EZH_CAM_D5
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_D5_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_D5_GPIO_PIN 9U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_D5_GPIO_PIN_MASK (1U << 9U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO1_10 (coord C3), EZH_CAM_D6
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_D6_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_D6_GPIO_PIN 10U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_D6_GPIO_PIN_MASK (1U << 10U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO1_11 (coord D3), EZH_CAM_D7
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_D7_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_D7_GPIO_PIN 11U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_D7_GPIO_PIN_MASK (1U << 11U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO1_18 (coord G4), EZH_CAM_PDWN
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_PDWN_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_PDWN_GPIO_PIN 18U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_PDWN_GPIO_PIN_MASK (1U << 18U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name PIO1_19 (coord G5), EZH_CAM_RST
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_CAM_RST_GPIO GPIO1 /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_CAM_RST_GPIO_PIN 19U /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_CAM_RST_GPIO_PIN_MASK (1U << 19U) /*!<@brief GPIO pin mask */
/* @} */

/*! @name FC0_P0 (coord B10), FC0_I2C_SDA
  @{ */
/* @} */

/*! @name FC0_P1 (coord A10), FC0_I2C_SCL
  @{ */
/* @} */

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLcdPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
